Update an integration
curl --request PATCH \
--url https://api.meetsquad.ai/org/{orgId}/workspace/{workspaceId}/integration/{integrationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"apiKey": "secret_new123..."
}
}
'import requests
url = "https://api.meetsquad.ai/org/{orgId}/workspace/{workspaceId}/integration/{integrationId}"
payload = { "config": { "apiKey": "secret_new123..." } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({config: {apiKey: 'secret_new123...'}})
};
fetch('https://api.meetsquad.ai/org/{orgId}/workspace/{workspaceId}/integration/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"integrationId": "<string>",
"workspaceId": "<string>",
"organisationId": "<string>",
"config": {
"active": false,
"created_by": "d4e71c2b-a498-42af-b7f5-69de06a0d7c4",
"last_synced_at": "2025-03-26T22:35:46Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Integrations
Update an integration
Updates an integration configuration, including re-entering secrets
PATCH
/
org
/
{orgId}
/
workspace
/
{workspaceId}
/
integration
/
{integrationId}
Update an integration
Authorizations
JWT authentication for organization-scoped endpoints.
Path Parameters
Organization ID
Workspace ID
Integration record ID
Body
application/json
Request schema for updating an integration
Show child attributes
Show child attributes
Response
Integration updated successfully
Response containing a single integration
Notion integration record
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
⌘I